Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: Nvidia Driver Error

  1. #1
    Join Date
    Jul 2009
    Location
    Cyberspace
    Posts
    321

    Default Nvidia Driver Error

    I have Suse 11.2 M5 64bit installed on an AMD 64x2, Nvidia 8400GS

    I downloaded NVIDIA-Linux-x86_64-185.18.31-pkg2.run

    I have installed:
    * compiler gcc,
    * program make and
    * package kernel-source (That is installed as well as the kernel-source-Vanilla)
    * package kernel-syms

    I also have the linux-kernel-headers installed.

    I opened up Konsole, su root

    Typed in: init 3

    Then I typed in: sh NVIDIA-Linux-x86_64-185.18.31-pkg2.run -q (also tried it without -q just for the hell of it.)

    I get the error:

    ERROR: The kernel header file '/usr/src/linux/include/linux/version.h' does not
    exist. The most likely reason for this is that the kernel source files
    in '/usr/src/linux' have not been configured.

    What am I missing here?
    Once you install a modem, the government can look into your computer and watch everything you do! That's why every night before I go to bed, I turn the monitor to the wall.

  2. #2
    Join Date
    Jun 2008
    Location
    Moscow, Russia
    Posts
    3,050
    Blog Entries
    1

    Default Re: Nvidia Driver Error

    Code:
    locate version.h
    /usr/include/gnu/libc-version.h
    /usr/include/linux/dvb/version.h
    /usr/include/linux/version.h
    Maybe somthing wrong in Nvidia Driver.
    I had the same problem and don't remember how I fix it.
    Try NVIDIA-Linux-x86_64-185.18.31-pkg2.run --update

  3. #3
    Join Date
    Jul 2009
    Location
    Cyberspace
    Posts
    321

    Default Re: Nvidia Driver Error

    Quote Originally Posted by Lazy_Kent View Post
    Code:
    locate version.h
    /usr/include/gnu/libc-version.h
    /usr/include/linux/dvb/version.h
    /usr/include/linux/version.h
    Maybe somthing wrong in Nvidia Driver.
    I had the same problem and don't remember how I fix it.
    Try NVIDIA-Linux-x86_64-185.18.31-pkg2.run --update

    I gave that a try. It downloaded it and then went to install it but I got the same error. The version.h all seem to be in the correct places.
    Once you install a modem, the government can look into your computer and watch everything you do! That's why every night before I go to bed, I turn the monitor to the wall.

  4. #4

    Default Re: Nvidia Driver Error

    you need the kernel-devel packages installed

  5. #5
    Join Date
    Jul 2009
    Location
    Cyberspace
    Posts
    321

    Default Re: Nvidia Driver Error

    Quote Originally Posted by simonau View Post
    you need the kernel-devel packages installed

    I had those installed already. Not sure what the issue was. But... After I tried all the things I could think of I went back into yast and I ended up breaking things. When I went to reboot all I got was a black screen. I could find no way around it.

    No big deal. Tomorrow I am going to reinstall 11.1 and wait for 11.2 Milestone 6.

    I still would like to know what I missed or if it was something else
    Once you install a modem, the government can look into your computer and watch everything you do! That's why every night before I go to bed, I turn the monitor to the wall.

  6. #6
    Join Date
    Jul 2009
    Location
    Cyberspace
    Posts
    321

    Default Re: Nvidia Driver Error

    I ended up reinstalling 11.1 tonight. I am still not sure if it was something I did or did not do or something else.
    Once you install a modem, the government can look into your computer and watch everything you do! That's why every night before I go to bed, I turn the monitor to the wall.

  7. #7

    Default Re: Nvidia Driver Error

    I ha d the same problem. the fact is that the kernel source in the repo is still 2.6.30 while probably you have kernel 2.6.31 installed. it was for me. so I installed the right kernel source from factory and everything is ok now

  8. #8
    Join Date
    Jul 2009
    Location
    Cyberspace
    Posts
    321

    Default Re: Nvidia Driver Error

    Quote Originally Posted by giorsat View Post
    I ha d the same problem. the fact is that the kernel source in the repo is still 2.6.30 while probably you have kernel 2.6.31 installed. it was for me. so I installed the right kernel source from factory and everything is ok now
    Thanks. I will keep that in mind in case this comes up again.
    Once you install a modem, the government can look into your computer and watch everything you do! That's why every night before I go to bed, I turn the monitor to the wall.

  9. #9
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,925
    Blog Entries
    14

    Default Re: Nvidia Driver Error

    I can add some more. Had the same problem on latest Factory kernel update. Point is, that the new kernel does not automatically install the new kernel sources. If you correct that by hand, i.e. selecting the version matching to the kernel, there's no problem in installing the driver anymore. Can also be done from the Yast ncurses interface.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  10. #10
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,925
    Blog Entries
    14

    Default Re: Nvidia Driver Error

    And there's more. From what it looks like the kernel-desktop gets auto-installed, and configured as first choice in GRUB. Suddenly I had 2 kernels....
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •